%global enable_tests 1
%global srcname elasticdump

Name:           %{srcname}
Version:        0.14.1
Release:        1%{?dist}
Summary:        Import and export tools for elasticsearch
License:        ASL 2.0
URL:            https://github.com/taskrabbit/elasticsearch-dump
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
Source10:       elasticdump.1

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(line-reader)
BuildRequires:  npm(mocha)
BuildRequires:  npm(request)
BuildRequires:  npm(should)
%endif


%description
%{summary}.


%prep
%setup -q -n package
chmod 644 lib/transports/elasticsearch.js
%nodejs_fixdep JSONStream


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json elasticdump.js bin/ lib/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/bin/elasticdump \
    %{buildroot}%{_bindir}/elasticdump
ln -s %{nodejs_sitelib}/%{srcname}/bin/multielasticdump \
    %{buildroot}%{_bindir}/multielasticdump

%nodejs_symlink_deps

install -D -p -m0644 %{SOURCE10} %{buildroot}%{_mandir}/man1/elasticdump.1

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
# don't run tests which require an elasticsearch instance
mocha -i -g 'ELASTICDUMP'
%endif


%files
%doc README.md
%license LICENSE.txt
%{nodejs_sitelib}/%{srcname}
%{_bindir}/elasticdump
%{_bindir}/multielasticdump
%{_mandir}/man1/elasticdump.1*


%changelog
* Fri Jul 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.14.1-1
- Update to 0.14.1

* Sat Jun 13 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.13.1-1
- Initial package
